commit: 1dd65853b4ab950899a29b1eed4672806a509e27
Author: Heather <Heather <AT> live <DOT> ru>
AuthorDate: Sun Aug 16 07:56:28 2015 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Sun Aug 16 07:56:28 2015 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=1dd65853
repair multilib-strict : Bug 554704
dev-lang/mono/mono-3.12.1.ebuild | 10 ++++++++++
dev-lang/mono/mono-4.0.2.5.ebuild | 10 ++++++++++
dev-lang/mono/mono-4.0.3.20.ebuild | 10 ++++++++++
dev-lang/mono/mono-9999.ebuild | 6 ++++++
4 files changed, 36 insertions(+)
diff --git a/dev-lang/mono/mono-3.12.1.ebuild b/dev-lang/mono/mono-3.12.1.ebuild
index 1952ade..51416a4 100644
--- a/dev-lang/mono/mono-3.12.1.ebuild
+++ b/dev-lang/mono/mono-3.12.1.ebuild
@@ -115,3 +115,13 @@ src_test() {
cd mcs/tests || die
emake check
}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to
provide, see Fedora
+ # mono.spec and
http://www.mail-archive.com/[email protected]/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
diff --git a/dev-lang/mono/mono-4.0.2.5.ebuild
b/dev-lang/mono/mono-4.0.2.5.ebuild
index 37c05e5..471f167 100644
--- a/dev-lang/mono/mono-4.0.2.5.ebuild
+++ b/dev-lang/mono/mono-4.0.2.5.ebuild
@@ -104,3 +104,13 @@ src_test() {
cd mcs/tests || die
emake check
}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to
provide, see Fedora
+ # mono.spec and
http://www.mail-archive.com/[email protected]/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
diff --git a/dev-lang/mono/mono-4.0.3.20.ebuild
b/dev-lang/mono/mono-4.0.3.20.ebuild
index 526b34b..0884626 100644
--- a/dev-lang/mono/mono-4.0.3.20.ebuild
+++ b/dev-lang/mono/mono-4.0.3.20.ebuild
@@ -104,3 +104,13 @@ src_test() {
cd mcs/tests || die
emake check
}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to
provide, see Fedora
+ # mono.spec and
http://www.mail-archive.com/[email protected]/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
diff --git a/dev-lang/mono/mono-9999.ebuild b/dev-lang/mono/mono-9999.ebuild
index 1d0c153..4e9c20e 100644
--- a/dev-lang/mono/mono-9999.ebuild
+++ b/dev-lang/mono/mono-9999.ebuild
@@ -105,4 +105,10 @@ src_test() {
src_install() {
autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to
provide, see Fedora
+ # mono.spec and
http://www.mail-archive.com/[email protected]/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
}